# QuickHashIntHash::get

(PECL quickhash >= Unknown)

QuickHashIntHash::get — Cette méthode récupère une valeur du hachage par sa clé

### Description

public QuickHashIntHash::get(int `$key`): int

Cette méthode récupère une valeur du hachage par sa clé.

### Liste de paramètres

`key`

  La clé de l'entrée à récupérer.

### Valeurs de retour

La valeur si la clé existe, ou `null` si la clé n'était pas une partie du hachage.

### Exemples

Exemple #1 Exemple de QuickHashIntHash::get()

`<?php
$hash = new QuickHashIntHash( 8 );
var_dump( $hash->get( 1 ) );
var_dump( $hash->add( 2 ) );
var_dump( $hash->get( 2 ) );
var_dump( $hash->add( 3, 5 ) );
var_dump( $hash->get( 3 ) );
?>`

Résultat de l'exemple ci-dessus est similaire à :

    bool(false)
    bool(true)
    int(1)
    bool(true)
    int(5)